> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a conference resource

> Returns a conference resource.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/conferences.yml get /texml/Accounts/{account_sid}/Conferences/{conference_sid}
openapi: 3.1.0
info:
  title: Telnyx TeXML Conferences API
  version: 2.0.0
  description: API for managing TeXML Conferences.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Conferences/{conference_sid}:
    get:
      tags:
        - TeXML REST Commands
      summary: Fetch a conference resource
      description: Returns a conference resource.
      operationId: GetTexmlConference
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/ConferenceSid'
      responses:
        '200':
          $ref: '#/components/responses/GetConferenceResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const conference = await
            client.texml.accounts.conferences.retrieve('conference_sid', {
              account_sid: 'account_sid',
            });


            console.log(conference.account_sid);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            conference = client.texml.accounts.conferences.retrieve(
                conference_sid="conference_sid",
                account_sid="account_sid",
            )
            print(conference.account_sid)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tconference, err := client.Texml.Accounts.Conferences.Get(\n\t\tcontext.TODO(),\n\t\t\"conference_sid\",\n\t\ttelnyx.TexmlAccountConferenceGetParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", conference.AccountSid)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveParams;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ConferenceRetrieveParams params = ConferenceRetrieveParams.builder()
                        .accountSid("account_sid")
                        .conferenceSid("conference_sid")
                        .build();
                    ConferenceRetrieveResponse conference = client.texml().accounts().conferences().retrieve(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            conference =
            telnyx.texml.accounts.conferences.retrieve("conference_sid",
            account_sid: "account_sid")


            puts(conference)
        - lang: CLI
          source: |-
            telnyx texml:accounts:conferences retrieve \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --conference-sid conference_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    ConferenceSid:
      name: conference_sid
      in: path
      required: true
      description: The ConferenceSid that uniquely identifies a conference.
      schema:
        type: string
  responses:
    GetConferenceResponse:
      description: Conference resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ConferenceResource'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    ConferenceResource:
      type: object
      title: Conference resource
      example:
        account_sid: 4e71926f-8f13-450e-b91c-23c2ef786aa6
        api_version: v2/texml
        date_created: Fri, 27 Oct 2023 07:41:58 +0000
        date_updated: Fri, 27 Oct 2023 07:41:58 +0000
        friendly_name: weekly_review_call
        region: dc2
        sid: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
        status: in-progress
        subresource_uris:
          participants: >-
            /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json
          recordings: >-
            /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json
        uri: >-
          /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json
      properties:
        account_sid:
          type: string
          description: The id of the account the resource belongs to.
          example: 61bf923e-5e4d-4595-a110-56190ea18a1b
        api_version:
          type: string
          description: The version of the API that was used to make the request.
          example: v2/texml
        call_sid_ending_conference:
          type: string
          description: Caller ID, if present.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        date_created:
          type: string
          description: The timestamp of when the resource was created.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        date_updated:
          type: string
          description: The timestamp of when the resource was last updated.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        friendly_name:
          type: string
          description: A string that you assigned to describe this conference room.
          example: weekly_review_call
        reason_conference_ended:
          type: string
          description: >-
            The reason why a conference ended. When a conference is in progress,
            will be null.
          enum:
            - participant-with-end-conference-on-exit-left
            - last-participant-left
            - conference-ended-via-api
            - time-exceeded
          example: time-exceeded
        region:
          type: string
          description: A string representing the region where the conference is hosted.
          example: dc2
        sid:
          type: string
          description: The unique identifier of the conference.
          example: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
        status:
          type: string
          description: The status of this conference.
          enum:
            - init
            - in-progress
            - completed
          example: in-progress
        subresource_uris:
          type: object
          description: A list of related resources identified by their relative URIs.
          example:
            participants: >-
              /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json
            recordings: >-
              /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json
          additionalProperties: true
        uri:
          type: string
          description: The relative URI for this conference.
          example: >-
            /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````